zenilib: _D3DCAPS9 Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
_D3DCAPS9 Struct Reference

`#include <d3d9caps.h>`

## Public Attributes

UINT | AdapterOrdinal
UINT | AdapterOrdinalInGroup
DWORD | AlphaCmpCaps
DWORD | Caps
DWORD | Caps2
DWORD | Caps3
DWORD | CubeTextureFilterCaps
DWORD | CursorCaps
DWORD | DeclTypes
DWORD | DestBlendCaps
DWORD | DevCaps
DWORD | DevCaps2
D3DDEVTYPE | DeviceType
float | ExtentsAdjust
DWORD | FVFCaps
float | GuardBandBottom
float | GuardBandLeft
float | GuardBandRight
float | GuardBandTop
DWORD | LineCaps
UINT | MasterAdapterOrdinal
DWORD | MaxActiveLights
DWORD | MaxAnisotropy
float | MaxNpatchTessellationLevel
DWORD | MaxPixelShader30InstructionSlots
float | MaxPointSize
DWORD | MaxPrimitiveCount
DWORD | MaxPShaderInstructionsExecuted
DWORD | MaxSimultaneousTextures
DWORD | MaxStreams
DWORD | MaxStreamStride
DWORD | MaxTextureAspectRatio
DWORD | MaxTextureBlendStages
DWORD | MaxTextureHeight
DWORD | MaxTextureRepeat
DWORD | MaxTextureWidth
DWORD | MaxUserClipPlanes
DWORD | MaxVertexBlendMatrices
DWORD | MaxVertexBlendMatrixIndex
DWORD | MaxVertexIndex
DWORD | MaxVertexShader30InstructionSlots
DWORD | MaxVertexShaderConst
float | MaxVertexW
DWORD | MaxVolumeExtent
DWORD | MaxVShaderInstructionsExecuted
UINT | NumberOfAdaptersInGroup
DWORD | NumSimultaneousRTs
float | PixelShader1xMaxValue
DWORD | PixelShaderVersion
DWORD | PresentationIntervals
DWORD | PrimitiveMiscCaps
D3DPSHADERCAPS2_0 | PS20Caps
DWORD | RasterCaps
DWORD | Reserved5
DWORD | ShadeCaps
DWORD | SrcBlendCaps
DWORD | StencilCaps
DWORD | StretchRectFilterCaps
DWORD | TextureAddressCaps
DWORD | TextureCaps
DWORD | TextureFilterCaps
DWORD | TextureOpCaps
DWORD | VertexProcessingCaps
DWORD | VertexShaderVersion
DWORD | VertexTextureFilterCaps
DWORD | VolumeTextureAddressCaps
DWORD | VolumeTextureFilterCaps
D3DVSHADERCAPS2_0 | VS20Caps
DWORD | ZCmpCaps

## Detailed Description

Definition at line 121 of file d3d9caps.h.

## Member Data Documentation

UINT _D3DCAPS9::AdapterOrdinal

Definition at line 125 of file d3d9caps.h.

UINT _D3DCAPS9::AdapterOrdinalInGroup

Definition at line 202 of file d3d9caps.h.

DWORD _D3DCAPS9::AlphaCmpCaps

Definition at line 144 of file d3d9caps.h.

DWORD _D3DCAPS9::Caps

Definition at line 128 of file d3d9caps.h.

DWORD _D3DCAPS9::Caps2

Definition at line 129 of file d3d9caps.h.

DWORD _D3DCAPS9::Caps3

Definition at line 130 of file d3d9caps.h.

DWORD _D3DCAPS9::CubeTextureFilterCaps

Definition at line 148 of file d3d9caps.h.

DWORD _D3DCAPS9::CursorCaps

Definition at line 134 of file d3d9caps.h.

DWORD _D3DCAPS9::DeclTypes

Definition at line 204 of file d3d9caps.h.

DWORD _D3DCAPS9::DestBlendCaps

Definition at line 143 of file d3d9caps.h.

DWORD _D3DCAPS9::DevCaps

Definition at line 137 of file d3d9caps.h.

DWORD _D3DCAPS9::DevCaps2

Definition at line 196 of file d3d9caps.h.

D3DDEVTYPE _D3DCAPS9::DeviceType

Definition at line 124 of file d3d9caps.h.

float _D3DCAPS9::ExtentsAdjust

Definition at line 168 of file d3d9caps.h.

DWORD _D3DCAPS9::FVFCaps

Definition at line 171 of file d3d9caps.h.

float _D3DCAPS9::GuardBandBottom

Definition at line 166 of file d3d9caps.h.

float _D3DCAPS9::GuardBandLeft

Definition at line 163 of file d3d9caps.h.

float _D3DCAPS9::GuardBandRight

Definition at line 165 of file d3d9caps.h.

float _D3DCAPS9::GuardBandTop

Definition at line 164 of file d3d9caps.h.

DWORD _D3DCAPS9::LineCaps

Definition at line 153 of file d3d9caps.h.

UINT _D3DCAPS9::MasterAdapterOrdinal

Definition at line 201 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxActiveLights

Definition at line 177 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxAnisotropy

Definition at line 160 of file d3d9caps.h.

Referenced by Zeni::Video_DX9::get_maximum_anisotropy().

float _D3DCAPS9::MaxNpatchTessellationLevel

Definition at line 198 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxPixelShader30InstructionSlots

Definition at line 213 of file d3d9caps.h.

float _D3DCAPS9::MaxPointSize

Definition at line 182 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxPrimitiveCount

Definition at line 184 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxPShaderInstructionsExecuted

Definition at line 211 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxSimultaneousTextures

Definition at line 174 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxStreams

Definition at line 186 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxStreamStride

Definition at line 187 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxTextureAspectRatio

Definition at line 159 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxTextureBlendStages

Definition at line 173 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxTextureHeight

Definition at line 155 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxTextureRepeat

Definition at line 158 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxTextureWidth

Definition at line 155 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxUserClipPlanes

Definition at line 178 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVertexBlendMatrices

Definition at line 179 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVertexBlendMatrixIndex

Definition at line 180 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVertexIndex

Definition at line 185 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVertexShader30InstructionSlots

Definition at line 212 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVertexShaderConst

Definition at line 190 of file d3d9caps.h.

float _D3DCAPS9::MaxVertexW

Definition at line 161 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVolumeExtent

Definition at line 156 of file d3d9caps.h.

DWORD _D3DCAPS9::MaxVShaderInstructionsExecuted

Definition at line 210 of file d3d9caps.h.

UINT _D3DCAPS9::NumberOfAdaptersInGroup

Definition at line 203 of file d3d9caps.h.

DWORD _D3DCAPS9::NumSimultaneousRTs

Definition at line 205 of file d3d9caps.h.

float _D3DCAPS9::PixelShader1xMaxValue

Definition at line 193 of file d3d9caps.h.

DWORD _D3DCAPS9::PixelShaderVersion

Definition at line 192 of file d3d9caps.h.

DWORD _D3DCAPS9::PresentationIntervals

Definition at line 131 of file d3d9caps.h.

DWORD _D3DCAPS9::PrimitiveMiscCaps

Definition at line 139 of file d3d9caps.h.

D3DPSHADERCAPS2_0 _D3DCAPS9::PS20Caps

Definition at line 208 of file d3d9caps.h.

DWORD _D3DCAPS9::RasterCaps

Definition at line 140 of file d3d9caps.h.

DWORD _D3DCAPS9::Reserved5

Definition at line 199 of file d3d9caps.h.

DWORD _D3DCAPS9::ShadeCaps

Definition at line 145 of file d3d9caps.h.

DWORD _D3DCAPS9::SrcBlendCaps

Definition at line 142 of file d3d9caps.h.

DWORD _D3DCAPS9::StencilCaps

Definition at line 169 of file d3d9caps.h.

DWORD _D3DCAPS9::StretchRectFilterCaps

Definition at line 206 of file d3d9caps.h.

DWORD _D3DCAPS9::TextureAddressCaps

Definition at line 150 of file d3d9caps.h.

DWORD _D3DCAPS9::TextureCaps

Definition at line 146 of file d3d9caps.h.

DWORD _D3DCAPS9::TextureFilterCaps

Definition at line 147 of file d3d9caps.h.

DWORD _D3DCAPS9::TextureOpCaps

Definition at line 172 of file d3d9caps.h.

DWORD _D3DCAPS9::VertexProcessingCaps

Definition at line 176 of file d3d9caps.h.

Referenced by Zeni::Video_DX9::init_device().

DWORD _D3DCAPS9::VertexShaderVersion

Definition at line 189 of file d3d9caps.h.

DWORD _D3DCAPS9::VertexTextureFilterCaps

Definition at line 209 of file d3d9caps.h.

DWORD _D3DCAPS9::VolumeTextureAddressCaps

Definition at line 151 of file d3d9caps.h.

DWORD _D3DCAPS9::VolumeTextureFilterCaps

Definition at line 149 of file d3d9caps.h.

D3DVSHADERCAPS2_0 _D3DCAPS9::VS20Caps

Definition at line 207 of file d3d9caps.h.

DWORD _D3DCAPS9::ZCmpCaps

Definition at line 141 of file d3d9caps.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/d3d9caps.h